SOSCmd (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sos.SOSCmd,SOSCmd interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sos
Interface SOSCmd

All Known Implementing Classes:
  SOS

public interface SOSCmd

Interface to hold constants used by the SOS tasks

Field Summary
`static java.lang.String` | `COMMAND_CHECKIN_FILE`
`static java.lang.String` | `COMMAND_CHECKIN_PROJECT`
`static java.lang.String` | `COMMAND_CHECKOUT_FILE`
`static java.lang.String` | `COMMAND_CHECKOUT_PROJECT`
`static java.lang.String` | `COMMAND_GET_FILE`
`static java.lang.String` | `COMMAND_GET_PROJECT`
`static java.lang.String` | `COMMAND_HISTORY`
`static java.lang.String` | `COMMAND_LABEL`
`static java.lang.String` | `COMMAND_SOS_EXE`
`static java.lang.String` | `FLAG_COMMAND`
`static java.lang.String` | `FLAG_COMMENT`
`static java.lang.String` | `FLAG_FILE`
`static java.lang.String` | `FLAG_LABEL`
`static java.lang.String` | `FLAG_NO_CACHE`
`static java.lang.String` | `FLAG_NO_COMPRESSION`
`static java.lang.String` | `FLAG_PASSWORD`
`static java.lang.String` | `FLAG_PROJECT`
`static java.lang.String` | `FLAG_RECURSION`
`static java.lang.String` | `FLAG_SOS_HOME`
`static java.lang.String` | `FLAG_SOS_SERVER`
`static java.lang.String` | `FLAG_USERNAME`
`static java.lang.String` | `FLAG_VERBOSE`
`static java.lang.String` | `FLAG_VERSION`
`static java.lang.String` | `FLAG_VSS_SERVER`
`static java.lang.String` | `FLAG_WORKING_DIR`
`static java.lang.String` | `PROJECT_PREFIX`

Field Detail

### COMMAND_SOS_EXE

    public static final java.lang.String COMMAND_SOS_EXE

See Also:
  Constant Field Values

### COMMAND_GET_FILE

    public static final java.lang.String COMMAND_GET_FILE

See Also:
  Constant Field Values

### COMMAND_GET_PROJECT

    public static final java.lang.String COMMAND_GET_PROJECT

See Also:
  Constant Field Values

### COMMAND_CHECKOUT_FILE

    public static final java.lang.String COMMAND_CHECKOUT_FILE

See Also:
  Constant Field Values

### COMMAND_CHECKOUT_PROJECT

    public static final java.lang.String COMMAND_CHECKOUT_PROJECT

See Also:
  Constant Field Values

### COMMAND_CHECKIN_FILE

    public static final java.lang.String COMMAND_CHECKIN_FILE

See Also:
  Constant Field Values

### COMMAND_CHECKIN_PROJECT

    public static final java.lang.String COMMAND_CHECKIN_PROJECT

See Also:
  Constant Field Values

### COMMAND_HISTORY

    public static final java.lang.String COMMAND_HISTORY

See Also:
  Constant Field Values

### COMMAND_LABEL

    public static final java.lang.String COMMAND_LABEL

See Also:
  Constant Field Values

### PROJECT_PREFIX

    public static final java.lang.String PROJECT_PREFIX

See Also:
  Constant Field Values

### FLAG_COMMAND

    public static final java.lang.String FLAG_COMMAND

See Also:
  Constant Field Values

### FLAG_VSS_SERVER

    public static final java.lang.String FLAG_VSS_SERVER

See Also:
  Constant Field Values

### FLAG_USERNAME

    public static final java.lang.String FLAG_USERNAME

See Also:
  Constant Field Values

### FLAG_PASSWORD

    public static final java.lang.String FLAG_PASSWORD

See Also:
  Constant Field Values

### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT

See Also:
  Constant Field Values

### FLAG_WORKING_DIR

    public static final java.lang.String FLAG_WORKING_DIR

See Also:
  Constant Field Values

### FLAG_RECURSION

    public static final java.lang.String FLAG_RECURSION

See Also:
  Constant Field Values

### FLAG_VERSION

    public static final java.lang.String FLAG_VERSION

See Also:
  Constant Field Values

### FLAG_LABEL

    public static final java.lang.String FLAG_LABEL

See Also:
  Constant Field Values

### FLAG_NO_COMPRESSION

    public static final java.lang.String FLAG_NO_COMPRESSION

See Also:
  Constant Field Values

### FLAG_NO_CACHE

    public static final java.lang.String FLAG_NO_CACHE

See Also:
  Constant Field Values

### FLAG_SOS_SERVER

    public static final java.lang.String FLAG_SOS_SERVER

See Also:
  Constant Field Values

### FLAG_SOS_HOME

    public static final java.lang.String FLAG_SOS_HOME

See Also:
  Constant Field Values

### FLAG_PROJECT

    public static final java.lang.String FLAG_PROJECT

See Also:
  Constant Field Values

### FLAG_FILE

    public static final java.lang.String FLAG_FILE

See Also:
  Constant Field Values

### FLAG_VERBOSE

    public static final java.lang.String FLAG_VERBOSE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.